Bug 974321 - RFE: LevelDB Cache Store
RFE: LevelDB Cache Store
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.2.0
Assigned To: Mandar Joshi
Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 20:37 EDT by gsheldon
Modified: 2015-08-31 22:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Consequence: Workaround (if one exists): Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 19:01:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Mandar Joshi 2013-07-09 06:19:11 EDT
The following topics are added for LevelDB Cache:

Section: LevelDB Cache Store
        About LevelDB Cache Store
        Configuring LevelDB Cache Store
        Sample Programatic Configuration
        Sample XML Configuration
Comment 6 Misha H. Ali 2013-08-15 02:12:21 EDT
Additionally, this section should be in the admin guide in the chapter about different cache store types. Please move it.
Comment 7 Misha H. Ali 2013-08-19 20:54:10 EDT
Reminder about shifting the content to the appropriate location. Setting back to ASSIGNED till it is properly located.
Comment 8 Tristan Tarrant 2013-08-20 05:07:25 EDT
5.2.3.3. Sample Programatic Configuration
 remove the .entityClass(User.class) line
 which I believe is a leftover from the JPA store

5.2.3.2. Configuring LevelDB Cache Store
 Procedure 5.4.  To configure levelDB cache store:

 you don't say which module.xml to modify
 and also where to put the leveldb jars
that is not part of the upstream code yet, so let's leave it open for now until the code is finished
Comment 11 Tristan Tarrant 2013-10-29 12:52:56 EDT
Add leveldbjni-all-1.7.jar to the following directory

modules/system/layers/base/org/fusesource/leveldbjni-all/main

and modify the module.xml file therein to reference the jar:

<module xmlns="urn:jboss:module:1.1" name="org.fusesource.leveldbjni-all">
   <properties>
      <property name="jboss.api" value="private"/>
   </properties>

   <resources>
      <resource-root path="leveldbjni-all-1.7.jar"/>
        <!-- Insert resources here -->
   </resources>

   <dependencies>
   </dependencies>
</module>
Comment 14 Misha H. Ali 2013-11-14 21:29:52 EST
Please see me today for some feedback about these topics, they require some changes.
Comment 16 Misha H. Ali 2013-11-19 22:23:47 EST
Added feedback, please apply and I'll re-review.
Comment 18 Misha H. Ali 2013-11-20 20:10:45 EST
Feedback added, small changes otherwise ok.
Comment 19 Misha H. Ali 2013-11-20 20:10:59 EST
Feedback added, small changes otherwise ok.
Comment 24 Martin Gencur 2013-12-03 10:30:49 EST
I think the note should not contain "JBoss Data Grid 6.2 Beta" (remove Beta) but rather "JBoss Data Grid 6.2". This is docs for GA release.
Comment 30 Misha H. Ali 2014-01-15 19:01:52 EST
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html

Note You need to log in before you can comment on or make changes to this bug.